Package com.independentsoft.office.odf.forms

# Class Image

java.lang.Object
com.independentsoft.office.odf.forms.Control
com.independentsoft.office.odf.forms.Image

All Implemented Interfaces:
  `IFormContent`, `IContentElement`

public class Image extends Control
Defines a graphical button control.

- ## Field Summary

  ### Fields inherited from class com.independentsoft.office.odf.forms.Control

  `eventListeners, parent, properties`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Image()`
  Initializes a new instance of the Image class.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Image`
  `clone()`
  Creates a new object that is a deep copy of the current instance.
  `List<IContentElement>`
  `getContentElements()`
  Returns all content elements.
  `String`
  `getControlImplementation()`
  Gets the specific concrete rendition or implementation of a control that should be instantiated.
  `String`
  `getID()`
  Gets an identifier for a control element.
  `String`
  `getImageLink()`
  Gets the location of a file containing image data.
  `String`
  `getName()`
  Gets the name of a form or control element.
  `IContentElement`
  `getParent()`
  Returns the parent content element.
  `int`
  `getTabIndex()`
  Gets tabbing navigation order of controls within a form.
  `String`
  `getTargetFrame()`
  Gets the target frame.
  `String`
  `getTargetLocation()`
  Locates a remote resource.
  `String`
  `getTitle()`
  Gets additional information about a control.
  `ButtonType`
  `getType()`
  Gets the type of a button.
  `String`
  `getValue()`
  Gets the default value of an input control.
  `boolean`
  `isDisabled()`
  Specifies whether a control can accept user input.
  `boolean`
  `isEnableTabbingNavigation()`
  Specifies whether a control is included in the tabbing navigation order.
  `boolean`
  `isPrintable()`
  Specifies whether a control is printed when a user prints a document in which the control is contained.
  `void`
  `setControlImplementation​(String controlImplementation)`
  Sets the specific concrete rendition or implementation of a control that should be instantiated.
  `void`
  `setDisabled​(boolean isDisabled)`
  Specifies whether a control can accept user input.
  `void`
  `setEnableTabbingNavigation​(boolean enableTabbingNavigation)`
  Specifies whether a control is included in the tabbing navigation order.
  `void`
  `setID​(String id)`
  Sets an identifier for a control element.
  `void`
  `setImageLink​(String imageLink)`
  Sets the location of a file containing image data.
  `void`
  `setName​(String name)`
  Sets the name of a form or control element.
  `void`
  `setParent​(IContentElement parent)`
  Sets the parent content element.
  `void`
  `setPrintable​(boolean isPrintable)`
  Specifies whether a control is printed when a user prints a document in which the control is contained.
  `void`
  `setTabIndex​(int tabIndex)`
  Sets tabbing navigation order of controls within a form.
  `void`
  `setTargetFrame​(String targetFrame)`
  Sets the target frame.
  `void`
  `setTargetLocation​(String targetLocation)`
  Locates a remote resource.
  `void`
  `setTitle​(String title)`
  Sets additional information about a control.
  `void`
  `setType​(ButtonType type)`
  Sets the type of a button.
  `void`
  `setValue​(String value)`
  Sets the default value of an input control.
  `String`
  `toString()`
  Converts the value of the current Image object to its equivalent string representation.

  ### Methods inherited from class com.independentsoft.office.odf.forms.Control

  `getEventListeners, getProperties`

  ### Methods inherited from class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### Image

    public Image()
    Initializes a new instance of the Image class.

- ## Method Details

  - ### getContentElements

    public List<IContentElement> getContentElements()
    Returns all content elements.
    Specified by:
      `getContentElements` in interface `IContentElement`
    Specified by:
      `getContentElements` in class `Control`
    Returns:
      A collection of content elements.

  - ### getParent

    public IContentElement getParent()
    Returns the parent content element.
    Specified by:
      `getParent` in interface `IContentElement`
    Overrides:
      `getParent` in class `Control`
    Returns:
      the parent

  - ### setParent

    public void setParent​(IContentElement parent)
    Sets the parent content element.
    Specified by:
      `setParent` in interface `IContentElement`
    Overrides:
      `setParent` in class `Control`
    Parameters:
      `parent` - the new parent

  - ### clone

    public Image clone()
    Creates a new object that is a deep copy of the current instance.
    Specified by:
      `clone` in interface `IContentElement`
    Specified by:
      `clone` in interface `IFormContent`
    Specified by:
      `clone` in class `Control`
    Returns:
      A new object that is a copy of this instance.

  - ### toString

    public String toString()
    Converts the value of the current Image object to its equivalent string representation.
    Overrides:
      `toString` in class `Object`
    Returns:
      the string

  - ### getName

    public String getName()
    Gets the name of a form or control element.
    Returns:
      the name

  - ### setName

    public void setName​(String name)
    Sets the name of a form or control element.
    Parameters:
      `name` - the new name

  - ### getControlImplementation

    public String getControlImplementation()
    Gets the specific concrete rendition or implementation of a control that should be instantiated.
    Returns:
      the control implementation

  - ### setControlImplementation

    public void setControlImplementation​(String controlImplementation)
    Sets the specific concrete rendition or implementation of a control that should be instantiated.
    Parameters:
      `controlImplementation` - the new control implementation

  - ### getID

    public String getID()
    Gets an identifier for a control element.
    Returns:
      the id

  - ### setID

    public void setID​(String id)
    Sets an identifier for a control element.
    Parameters:
      `id` - the new id

  - ### getValue

    public String getValue()
    Gets the default value of an input control.
    Returns:
      the value

  - ### setValue

    public void setValue​(String value)
    Sets the default value of an input control.
    Parameters:
      `value` - the new value

  - ### isDisabled

    public boolean isDisabled()
    Specifies whether a control can accept user input.
    Returns:
      true, if is disabled

  - ### setDisabled

    public void setDisabled​(boolean isDisabled)
    Specifies whether a control can accept user input.
    Parameters:
      `isDisabled` - the new disabled

  - ### isPrintable

    public boolean isPrintable()
    Specifies whether a control is printed when a user prints a document in which the control is contained.
    Returns:
      true, if is printable

  - ### setPrintable

    public void setPrintable​(boolean isPrintable)
    Specifies whether a control is printed when a user prints a document in which the control is contained.
    Parameters:
      `isPrintable` - the new printable

  - ### getTabIndex

    public int getTabIndex()
    Gets tabbing navigation order of controls within a form.
    Returns:
      the tab index

  - ### setTabIndex

    public void setTabIndex​(int tabIndex)
    Sets tabbing navigation order of controls within a form.
    Parameters:
      `tabIndex` - the new tab index

  - ### isEnableTabbingNavigation

    public boolean isEnableTabbingNavigation()
    Specifies whether a control is included in the tabbing navigation order. The defined values are: -false: control is not included in tabbing navigation order. -true: control is included in tabbing navigation order.
    Returns:
      true, if is enable tabbing navigation

  - ### setEnableTabbingNavigation

    public void setEnableTabbingNavigation​(boolean enableTabbingNavigation)
    Specifies whether a control is included in the tabbing navigation order. The defined values are: -false: control is not included in tabbing navigation order. -true: control is included in tabbing navigation order.
    Parameters:
      `enableTabbingNavigation` - the new enable tabbing navigation

  - ### getTitle

    public String getTitle()
    Gets additional information about a control.
    Returns:
      the title

  - ### setTitle

    public void setTitle​(String title)
    Sets additional information about a control.
    Parameters:
      `title` - the new title

  - ### getType

    public ButtonType getType()
    Gets the type of a button.
    Returns:
      the type

  - ### setType

    public void setType​(ButtonType type)
    Sets the type of a button.
    Parameters:
      `type` - the new type

  - ### getImageLink

    public String getImageLink()
    Gets the location of a file containing image data.
    Returns:
      the image link

  - ### setImageLink

    public void setImageLink​(String imageLink)
    Sets the location of a file containing image data.
    Parameters:
      `imageLink` - the new image link

  - ### getTargetFrame

    public String getTargetFrame()
    Gets the target frame. The defined values are: - _blank: The referenced document is displayed in a new frame. - _parent: The referenced document is displayed in the parent frame of the current frame. - _self: The referenced document replaces the content of the current frame.
    Returns:
      the target frame

  - ### setTargetFrame

    public void setTargetFrame​(String targetFrame)
    Sets the target frame. The defined values are: - _blank: The referenced document is displayed in a new frame. - _parent: The referenced document is displayed in the parent frame of the current frame. - _self: The referenced document replaces the content of the current frame.
    Parameters:
      `targetFrame` - the new target frame

  - ### getTargetLocation

    public String getTargetLocation()
    Locates a remote resource.
    Returns:
      the target location

  - ### setTargetLocation

    public void setTargetLocation​(String targetLocation)
    Locates a remote resource.
    Parameters:
      `targetLocation` - the new target location